package main

import "unicode"

type Programme struct {
	ID   string `db:"id" json:"programme_id" csv:"programme_id"`
	Name string `db:"name" json:"nom_programme" csv:"nom_programme"`
}

type Membre struct {
	ID           string `db:"id" json:"membre_id" csv:"membre_id"`
	LastName     string `db:"last_name" json:"last_name" csv:"last_name"`
	FirstName    string `db:"first_name" json:"first_name" csv:"first_name"`
	PreferedName string `db:"prefered_name" json:"prefered_name" csv:"prefered_name"`
	ProgrammeID  string `db:"programme_id" json:"programme_id" csv:"programme_id"`
}

// MembreForDisplay maps to the `membres_for_display` view declared in `sql/views.sql`
type MembreForDisplay struct {
	ID            string `db:"id" json:"membre_id" csv:"membre_id"`
	Name          string `db:"name" json:"name" csv:"name"`
	ProgrammeID   string `db:"programme_id" json:"programme_id" csv:"programme_id"`
	ProgrammeName string `db:"programme_name" json:"programme_name" csv:"programme_name"`
}

func IsMembreID(membre_id string) bool {
	if len(membre_id) != 7 {
		return false
	}

	for _, character := range membre_id {
		if !unicode.IsDigit(character) {
			return false
		}
	}

	return true
}
